<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehicleActionPairKey Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d8f/a07169.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehicleActionPairKey Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehicleActionPairKey:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/d8f/a07169.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a97c76b9e9248e8d65c250798990d71b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a97c76b9e9248e8d65c250798990d71b1">ExpansionVehicleActionPairKey</a> ()</td></tr>
<tr class="separator:a97c76b9e9248e8d65c250798990d71b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a009f661ec6ee2db4b4abeb5a473cd437"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a009f661ec6ee2db4b4abeb5a473cd437">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a009f661ec6ee2db4b4abeb5a473cd437"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b455989ed262603b89d9d97653d7e7b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a5b455989ed262603b89d9d97653d7e7b">GetText</a> ()</td></tr>
<tr class="separator:a5b455989ed262603b89d9d97653d7e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a239e17e7ef49b1b26700ace3e47ee090"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a239e17e7ef49b1b26700ace3e47ee090">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:a239e17e7ef49b1b26700ace3e47ee090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d5c7e8178b18106ccd5f0804ae5f85c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a1d5c7e8178b18106ccd5f0804ae5f85c">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a1d5c7e8178b18106ccd5f0804ae5f85c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48324ac63e05429f9d782dcabc260aed"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#a48324ac63e05429f9d782dcabc260aed">CanBeUsedInRestrain</a> ()</td></tr>
<tr class="separator:a48324ac63e05429f9d782dcabc260aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abf8a678a20c1ffc1b5a13cdf3c3ec0cf"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d8f/a07169.html#abf8a678a20c1ffc1b5a13cdf3c3ec0cf">m_IsGlitched</a></td></tr>
<tr class="memdesc:abf8a678a20c1ffc1b5a13cdf3c3ec0cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION.  <a href="../../da/d8f/a07169.html#abf8a678a20c1ffc1b5a13cdf3c3ec0cf">More...</a><br /></td></tr>
<tr class="separator:abf8a678a20c1ffc1b5a13cdf3c3ec0cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d0/dbd/a02771.html">ExpansionActionPairKey.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00013">13</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a97c76b9e9248e8d65c250798990d71b1" name="a97c76b9e9248e8d65c250798990d71b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97c76b9e9248e8d65c250798990d71b1">&#9670;&#160;</a></span>ExpansionVehicleActionPairKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleActionPairKey::ExpansionVehicleActionPairKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00019">19</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a239e17e7ef49b1b26700ace3e47ee090" name="a239e17e7ef49b1b26700ace3e47ee090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a239e17e7ef49b1b26700ace3e47ee090">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionVehicleActionPairKey::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >don't pair if we are inside the car</p>
<p >key is paired to something, car doesn't have a key</p>
<p >the key is not paired to the car</p>
<p >the key is paired to the car but the car has no key, we are glitched.</p>
<p >car has a key</p>
<p >key is paired</p>

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00038">38</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<a id="a48324ac63e05429f9d782dcabc260aed" name="a48324ac63e05429f9d782dcabc260aed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48324ac63e05429f9d782dcabc260aed">&#9670;&#160;</a></span>CanBeUsedInRestrain()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionVehicleActionPairKey::CanBeUsedInRestrain </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00085">85</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<a id="a009f661ec6ee2db4b4abeb5a473cd437" name="a009f661ec6ee2db4b4abeb5a473cd437"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a009f661ec6ee2db4b4abeb5a473cd437">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleActionPairKey::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00024">24</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<a id="a5b455989ed262603b89d9d97653d7e7b" name="a5b455989ed262603b89d9d97653d7e7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b455989ed262603b89d9d97653d7e7b">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionVehicleActionPairKey::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00030">30</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<a id="a1d5c7e8178b18106ccd5f0804ae5f85c" name="a1d5c7e8178b18106ccd5f0804ae5f85c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d5c7e8178b18106ccd5f0804ae5f85c">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehicleActionPairKey::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00074">74</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abf8a678a20c1ffc1b5a13cdf3c3ec0cf" name="abf8a678a20c1ffc1b5a13cdf3c3ec0cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf8a678a20c1ffc1b5a13cdf3c3ec0cf">&#9670;&#160;</a></span>m_IsGlitched</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionVehicleActionPairKey::m_IsGlitched</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/da4/a02798_source.html#l00017">17</a> of file <a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/<a class="el" href="../../d9/da4/a02798_source.html">expansionvehicleactionpairkey.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d8f/a07169.html">ExpansionVehicleActionPairKey</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
